Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.api
Class TOCNode

    java.lang.Object
      org.eclipse.birt.report.engine.api.TOCNode

    public class TOCNode

extends java.lang.Object

A node that wraps around a TOC entry. To navigate to a specific TOC entry, one starts with the TOC root and traverse down the TOC tree, obtaining list of TOC nodes. For each node, the user can go to a specific page by following the bookmark.

Field Summary
`protected java.lang.String` | `bookmark` A bookmark that is stored for the TOC
`protected java.util.List` | `children` A list of children for the TOC node
`protected java.lang.String` | `displayString` the string to be displayed for the TOC entry
`static java.util.List` | `EMPTY_CHILDREN`
`protected java.lang.String` | `nodeId` identifier for the current node
`protected TOCNode` | `parent` the parent node
`protected org.eclipse.birt.report.engine.api.script.instance.IScriptStyle` | `tocStyle` The TOC's style

Constructor Summary
`TOCNode()` Constructor.
`TOCNode(TOCNode node)` Constructor.

Method Summary
`java.lang.String` | `getBookmark()`
`java.util.List` | `getChildren()`
`java.lang.String` | `getDisplayString()`
`java.lang.String` | `getNodeID()`
`TOCNode` | `getParent()`
`org.eclipse.birt.report.engine.api.script.instance.IScriptStyle` | `getTOCStyle()` Get toc style.
`void` | `setBookmark(java.lang.String bookmark)` Set bookmark
`void` | `setDisplayString(java.lang.String displayStr)`
`void` | `setNodeID(java.lang.String id)` Set Node id
`void` | `setParent(TOCNode parent)` Set parent toc.
`void` | `setTOCStyle(org.eclipse.birt.report.engine.api.script.instance.IScriptStyle tocStyle)` Set toc style.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EMPTY_CHILDREN

    public static final java.util.List EMPTY_CHILDREN

### displayString

    protected java.lang.String displayString

  the string to be displayed for the TOC entry

### bookmark

    protected java.lang.String bookmark

  A bookmark that is stored for the TOC

### parent

    protected TOCNode parent

  the parent node

### nodeId

    protected java.lang.String nodeId

  identifier for the current node

### children

    protected java.util.List children

  A list of children for the TOC node

### tocStyle

    protected org.eclipse.birt.report.engine.api.script.instance.IScriptStyle tocStyle

  The TOC's style

Constructor Detail

### TOCNode

    public TOCNode()

  Constructor.

### TOCNode

    public TOCNode(TOCNode node)

  Constructor.

  Parameters:
    `node` -

Method Detail

### getNodeID

    public java.lang.String getNodeID()

  Returns:
    the unique ID for the TOC node

### getParent

    public TOCNode getParent()

  Returns:
    returns the parent node of the current TOC node

### getChildren

    public java.util.List getChildren()

  Returns:
    the list of child TOC nodes

### getDisplayString

    public java.lang.String getDisplayString()

  Returns:
    the display string for the TOC entry

### setDisplayString

    public void setDisplayString(java.lang.String displayStr)

  Parameters:
    `display` - the display string

### getBookmark

    public java.lang.String getBookmark()

  Returns:
    the bookmark string that the TOC item points to.

### setBookmark

    public void setBookmark(java.lang.String bookmark)

  Set bookmark

  Parameters:
    `bookmark` -

### setNodeID

    public void setNodeID(java.lang.String id)

  Set Node id

  Parameters:
    `id` -

### setParent

    public void setParent(TOCNode parent)

  Set parent toc.

  Parameters:
    `parent` -

### getTOCStyle

    public org.eclipse.birt.report.engine.api.script.instance.IScriptStyle getTOCStyle()

  Get toc style.

  Returns:
    toc style

### setTOCStyle

    public void setTOCStyle(org.eclipse.birt.report.engine.api.script.instance.IScriptStyle tocStyle)

  Set toc style.

  Parameters:
    `toc` - style

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.